WordPress.org

Support

Support » Plugins and Hacks » [Resolved] lots of errors in 3.5.1

[Resolved] lots of errors in 3.5.1

  • Vaughan

    @m0nty

    WPMU DEV Support Staff

    i receive lots of errors when using with 3.5.1.

    Notice: wp_register_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or init hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home6/letrouss/public_html/wp-includes/functions.php on line 2959

    Notice: wp_register_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or init hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home6/letrouss/public_html/wp-includes/functions.php on line 2959

    Warning: session_start() [function.session-start]: Cannot send session cache limiter – headers already sent (output started at /home6/letrouss/public_html/wp-includes/functions.php:2959) in /home6/letrouss/public_html/wp-content/plugins/woocommerce/woocommerce.php on line 138

    Notice: Undefined variable: wp_query in /home6/letrouss/public_html/wp-content/plugins/font/Font.php on line 743

    Notice: Trying to get property of non-object in /home6/letrouss/public_html/wp-content/plugins/font/Font.php on line 743

    Notice: Undefined index: post in /home6/letrouss/public_html/wp-content/plugins/font/Font.php on line 747

    Notice: Undefined index: page in /home6/letrouss/public_html/wp-content/plugins/font/Font.php on line 751

    Notice: Undefined index: p in /home6/letrouss/public_html/wp-content/plugins/font/Font.php on line 755

    Notice: Undefined variable: post in /home6/letrouss/public_html/wp-content/plugins/font/Font.php on line 759

    Notice: Trying to get property of non-object in /home6/letrouss/public_html/wp-content/plugins/font/Font.php on line 759

    Notice: Undefined variable: fontPairs in /home6/letrouss/public_html/wp-content/plugins/font/Font.php on line 777

    Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /home6/letrouss/public_html/wp-includes/functions.php on line 2923

    http://wordpress.org/extend/plugins/font/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author killerdeveloper

    @killerdeveloper

    Hi m0nty,
    you have notices switched on. It’s set to E_ALL which is bad. When first notice is sent then also headers are being sent and a warning occurs. No production server should show notices. Change your error reporting in php.ini. Google something like: disable php notices.

    best,
    Pawel

    I’m sorry, but I came across this post when searching for has_cap notices.
    It’s true you should not run live with notices on.

    But I have to correct you on your comment, having error_reporting on E_ALL is not bad. It is good practice, especially when developing. But also good practice to leave them of in production.

    has_cap is deprecated, so I wouldn’t call this plugin completely compatible with 3.5.1 anymore.

    Vaughan

    @m0nty

    WPMU DEV Support Staff

    sorry i should have stated, it is a development site, not production. WP_DEBUG will be disabled when it goes to production, but it would be nice to get all these notices cleared up & the plugin working correctly.

    I always develop & write code with Error reporting enabled, it was drilled into me when I 1st started 🙂

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] lots of errors in 3.5.1’ is closed to new replies.